<template>
  <div class="page kontaktperson-slug">
    <div class="container module position-relative">
      <breadcrumbs :title="title" />
      <div class="row">
        <div class="col-12 col-md-8 col-lg-6 offset-lg-1">
          <h1>{{ title }}</h1>
          <p>
            <b>{{ content.jobtitel }}</b>
          </p>
          <div class="text" v-html="content.beschreibung"></div>
        </div>
        <div class="col-12 col-md-4">
          <div class="d-flex flex-column flex-lg-column">
            <div class="portrait-wrapper">
              <div class="portrait">
                <atom-image
                  v-if="featuredImage"
                  ratio="1x1"
                  :image="featuredImage.node"
                />
              </div>
            </div>
            <div class="details">
              <h2 class="h4">KONTAKT</h2>
              <b>{{ options.companyname }}</b>
              <p v-html="options.address" />
              <a :href="`mailto:${content.email}`">{{ content.email }}</a>
              <a v-if="content.telefon" :href="`tel:${content.telefon}`">{{ content.telefon }}</a>
              <div v-if="content.facebook || content.linkedin || content.twitter" class="some d-flex">
                <a
                  v-if="content.facebook"
                  :href="content.facebook"
                  target="_blank"
                >
                  <img
                    class="some-icon"
                    src="/img/so-me/facebook.svg"
                    alt="Facebook Logo"
                  />
                </a>
                <a
                  v-if="content.linkedin"
                  :href="content.linkedin"
                  target="_blank"
                >
                  <img
                    class="some-icon"
                    src="/img/so-me/linked-in.svg"
                    alt="LinkedIn Logo"
                  />
                </a>
                <a
                  v-if="content.twitter"
                  :href="content.twitter"
                  target="_blank"
                >
                  <img
                    class="some-icon"
                    src="/img/so-me/twitter.svg"
                    alt="Twitter Logo"
                  />
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <page-footer />
  </div>
</template>

<script>
import routeFoundation from '~/plugins/mixins/route-foundation.js';

export default {
  mixins: [routeFoundation('singleKontaktperson')],
  computed: {
    options() {
      return this.$store.state.options;
    },
  },
}
</script>

<style lang="scss" scoped>
.kontaktperson-slug {
  .module {
    padding-top: 5rem;

    @include media-breakpoint-up(md) {
      padding-top: 6rem;
    }

    @include media-breakpoint-up(lg) {
      padding-top: 8rem;
    }
  }

  h1 {
    @include media-breakpoint-up(md) {
      font-size: 4rem;
    }
    @include media-breakpoint-up(lg) {
      max-width: 700px;
    }
  }

  h2 {
    letter-spacing: 1px;
  }

  .text {
    @include media-breakpoint-up(lg) {
      max-width: 450px;
    }
  }

  .portrait-wrapper {
    width: 100%;

    @include media-breakpoint-up(lg) {
      width: 100%;
    }
  }

  .portrait {
    width: 100%;
    margin-bottom: 2.5rem;
    box-shadow: 10px 10px 0px 0px $green;
    padding-bottom: 100%;
    background: #f5f5f5;
    position: relative;

    .img-container {
      position: absolute !important;
      width: 100%;
    }
  }

  .details {
    a {
      display: block;
      margin-top: 1rem;
    }

    .some {
      margin-top: 2rem;
    }

    .some-icon {
      width: 3rem;
      height: 3rem;
      margin-right: 2rem;

      @include media-breakpoint-up(lg) {
        width: 2rem;
        height: 2rem;
      }
    }
  }
}
</style>
